org.firebirdsql.gds.ng.wire

## Interface FbWireService

All Superinterfaces:
  java.lang.AutoCloseable, ExceptionListenable, FbAttachment, FbService, FbWireAttachment

All Known Implementing Classes:
  AbstractFbWireService, V10Service

    public interface FbWireService
    extends FbService, FbWireAttachment

Since:
  3.0
Author:
  Mark Rotteveel

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`FbWireAttachment.AcceptPacket`

### Method Summary

### Methods inherited from interface org.firebirdsql.gds.ng.FbService

`addServiceListener, createServiceParameterBuffer, createServiceRequestBuffer, getHandle, getServiceInfo, getServiceInfo, removeServiceListener, startServiceAction`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

`authReceiveResponse, getXdrStreamAccess, readGenericResponse`

### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

`attach, close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, getSynchronizationObject, isAttached, setNetworkTimeout`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`